CREATE OR REPLACE PACKAGE BPMMGR.PROCESS_XML_XX_APP
IS

  FUNCTION context_header(
    p_key IN VARCHAR2
  , p_xml_params IN XMLTYPE DEFAULT NULL
  ) RETURN XMLTYPE;
  
  FUNCTION workbasket(
    p_key VARCHAR2
  , p_xml_params XMLTYPE DEFAULT NULL
  ) RETURN XMLTYPE;

  FUNCTION email_subject_prefix(
    p_key IN VARCHAR2
  , p_xml_params IN XMLTYPE DEFAULT NULL
  ) RETURN VARCHAR2;
  
  FUNCTION get_unassigned_reviewer (
    p_key IN VARCHAR2 
  , p_xml_params IN XMLTYPE DEFAULT NULL 
  ) RETURN NUMBER;
  
  FUNCTION count_assigned_reviewers (
    p_key IN VARCHAR2
  , p_xml_params IN XMLTYPE DEFAULT NULL
  ) RETURN NUMBER;
  
  FUNCTION count_unassigned_reviewers (
    p_key IN VARCHAR2
  , p_xml_params IN XMLTYPE DEFAULT NULL
  ) RETURN NUMBER;
  
  FUNCTION review_manage_action_desc (
    p_key IN VARCHAR2
  , p_xml_params IN XMLTYPE DEFAULT NULL
  ) RETURN VARCHAR2;
  
END process_xml_xx_app;
/
