DECLARE

  l_new_application_type_id NUMBER;
  l_upgrade_application_type_id NUMBER;

BEGIN
  
  l_new_application_type_id := trainingmgr.xx_plan_app.create_application_type (
    p_title => 'New'
  , p_price => 20
  , p_description => 'Construction of new structure.'
  );
  
  l_upgrade_application_type_id := trainingmgr.xx_plan_app.create_application_type (
    p_title => 'Upgrade'
  , p_price => 10
  , p_description => 'Upgrade to existing structure.'
  );
  
END;
/

GRANT EXECUTE ON trainingmgr.xx_plan_app TO appenv;
/

GRANT SELECT, INSERT, UPDATE ON trainingmgr.xx_plan_app_docs TO appenv;
/

GRANT SELECT, INSERT, UPDATE ON decmgr.document_packs TO trainingmgr
/

GRANT SELECT, INSERT, UPDATE ON decmgr.document_instances TO trainingmgr
/

GRANT SELECT ON decmgr.document_packs_seq TO trainingmgr;
/

GRANT SELECT ON decmgr.document_instances_seq TO trainingmgr;
/

GRANT SELECT ON decmgr.resource_members_current TO trainingmgr;
/

GRANT EXECUTE ON trainingmgr.xx_plan_app TO bpmmgr;
/

GRANT SELECT ON trainingmgr.xx_plan_apps TO bpmmgr;
/

GRANT SELECT ON trainingmgr.xx_plan_app_details TO bpmmgr;
/

GRANT SELECT ON decmgr.document_instances_seq TO trainingmgr;
/

GRANT SELECT ON bpmmgr.xview_business_contexts TO trainingmgr;
/

GRANT SELECT ON bpmmgr.business_routine_contexts TO trainingmgr;
/

GRANT SELECT ON bpmmgr.business_stages TO trainingmgr;
/

CONNECT trainingmgr/dev1;
/

GRANT REFERENCES ON trainingmgr.xx_plan_app_details TO XVIEWMGR;
/